import request from "~/utils/request";

//通用接口-学校列表
export const normalSchool_list = (data = {}) => {
  return request({
    url: '/yzy/xsjjdtk/school_class',
    data,
  })
}
//通用接口-班级列表(根据ze_id)
export const normalClassroom_list = (data = {}) => {
  return request({
    url: '/yzy/xsjjdtk/school_class',
    data,
  })
}
//通用接口-学科列表(考试计划列表-筛选出学科)
export const normalSubject_list = (data = {}) => {
  return request({
    url: '/yzy/ksjh/index',
    data,
  })
}

//考试计划列表
export const ksjh_list = (data = {}) => {
  return request({
    url: '/yzy/ksjh/index',
    data,
  })
}

//考试计划详情
export const ksjh_detail = (data={}) => {
  return request({
    url:'/yzy/ksjh/detail',
    data,
  })
}

//===============================成绩分析=================================

//成绩分析-成绩单_列表
export const cjfx_cjd_list = (data = {}) => {
  return request({
    url: '/openapi/echart/transcript.php',
    data,
  })
}

//成绩分析-三率一分_列表
export const cjfx_slyf_list = (data = {}) => {
  return request({
    url: '/openapi/echart/sfyl_data.php',
    data,
  })
}

//成绩分析-分数段统计_列表
export const cjfx_fsdtj_list = (data = {}) => {
  return request({
    url: '/openapi/echart/garde_section.php',
    data,
  })
}

//成绩分析-平均分离差分析_列表
export const cjfx_pjflcfx_list = (data = {}) => {
  return request({
    url: '/openapi/echart/average_data.php',
    data,
  })
}

//成绩分析-教师统计_列表
export const cjfx_jstj_list = (data = {}) => {
  return request({
    url: '/openapi/echart/teacher_data.php',
    data,
  })
}

//成绩分析-总体分析_列表
export const cjfx_ztfx_list = (data = {}) => {
  return request({
    url: '/openapi/echart/total_data.php',
    data,
  })
}

//成绩分析-客观题分析_列表
export const cjfx_kgtfx_list = (data = {}) => {
  return request({
    url: '/openapi/echart/objective_analysis.php',
    data,
  })
}


//===============================学生端=================================

//学生端-考试分析-列表
export const student_ksfx_list = (data = {}) => {
  return request({
    url: '/openapi/echart/exam_data.php',
    data,
  })
}

//学生端-试题分析-列表
export const student_stfx_list = (data = {}) => {
  return request({
    url: '/openapi/echart/shiti_data.php',
    data,
  })
}


//学生端-我的试卷-列表
export const student_wdsj_list = (data = {}) => {
  return request({
    url: '',
    data,
  })
}


//学生端-个人成绩单-列表
export const student_grcjd_list = (data = {}) => {
  return request({
    url: '/openapi/echart/user_score.php',
    data,
  })
}







